Subject: Catalogs

From: [email-masked]
Date: Sun, 5 Mar 1995 10:11:10 -0500

One to look for is the Southern States Cooperative catalog. It's mostly farm
equipment, but has a number of food preservation supplies, including the Back
To Basics grain mill. Also, comparing it with Cumberland General Store, I've
found the prices to be less.

L